﻿@model IContentBlockViewModel<Umbraco.Web.PublishedModels.ListView>

@{
    var className = "images-section-wrap_type_card";

    if (!string.IsNullOrWhiteSpace(Model.Content.ListType))
    {
        if (Model.Content.ListType.ToLower().Equals("cards"))
        {
            className = "images-section-wrap_type_card";
        }
        if (Model.Content.ListType.ToLower().Equals("grid"))
        {
            className = "images-section-wrap_type_grid";
        }
        if (Model.Content.ListType.ToLower().Equals("simple"))
        {
            className = "images-section-wrap_type_simple";
        }
    }
}

<section class="@className @Model.Content.ListType">
    <div class="images-section">
        <div class="api-cards images-section__grid-container" data-api-url="/umbraco/api/ListViewApi/GetListView?id=@Model.Content.Picker.Id"></div>
    </div>
</section>

@*
    <section tion class="images-section-wrap_type_simple">
        <div class="images-section">
            <div class="api-cards images-section__grid-container" data-api-url="./fake_images_response.json?id=132"></div>
        </div>
     </section>

    <section class="images-section-wrap_type_grid">
        <div class="images-section">
            <div class="api-cards images-section__grid-container" data-api-url="./fake_images_response.json?id=132"></div>
        </div>
    </section>
*@